[Plugin] Lines to tubes
-
It should be on the Tools menu as "Convert arcs,circles,curves,lines to cylinders".
-
@sdmitch said:
It should be on the Tools menu as "Convert arcs,circles,curves,lines to cylinders".
That's how it is in SU 2013, but not 2014, strange it's in plugin folder and all but not showing up.
-
Pete, which file did you download? I downloaded Didier's and it didn't work for me but when I downloaded and installed TIG's version and restarted SketchUp, it did. I converted TIG's version to .rbz (which I am attaching) to make it quick to install. I still had to close and restart SU to get it to show in the Tools menu.
-
@dave r said:
Pete, which file did you download? I downloaded Didier's and it didn't work for me but when I downloaded and installed TIG's version and restarted SketchUp, it did. I converted TIG's version to .rbz (which I am attaching) to make it quick to install. I still had to close and restart SU to get it to show in the Tools menu.
That worked, thanks Dave.
I have a few plugins just like this that did not install in SU 2014, I now have a trick.
-
hello,
I got the same situation that can't find lines2tube in tool menu bar in MAC sketchup2014 .
Is there anyone can help me out ?Thanks.
-
Thanks Dave, it works!!
-
Thank you very much Dave!
-
Great plugin !
Thank you ! -
Please get the latest v2014/2015 compatible version from the PluginStore http://sketchucation.com/pluginstore?pln=lines2tubes
-
Great plugin! Thanks you !
-
As I am often giving precision 4 to give a rectangular look, im just wondering if there would be a way to rotate the profile 45 degrees. Effectively, having a rectangular tubes.
-
@josephkim626 said:
As I am often giving precision 4 to give a rectangular look, im just wondering if there would be a way to rotate the profile 45 degrees. Effectively, having a rectangular tubes.
Yes, but this particular plugin is scrambled so only the creator can make that change.
In the mean time, maybe this will help. You can copy and paste into the Ruby Console to try it out.
mod = Sketchup.active_model ent = mod.active_entities sel = mod.selection unless sel.empty? vars=UI.inputbox(["Number of Sides;"," Length of a Side;","Angle of Rotation;"],[4,1,45],"Tube Specifications") if vars n,l,d=vars a=180/n r=l/Math.sin(a.degrees)/2 edgs=sel.grep(Sketchup;;Edge) edgs.each{|e| p,v=e.line grp=ent.add_group;ge=grp.entities tube=ge.add_ngon(p,v,r,n) face=ge.add_face(tube) ent.transform_entities(Geom;;Transformation.rotation(p,v,d.degrees),face) face.followme e grp.explode } end else UI.messagebox "Select Edges" end
-
While I like the plugin and seem some valuable uses, I am having a problem with it.
Here is a screen capture of the problem I am having:
I tried to be very careful when connecting the three segments (made sure the arch that connected the two straight lines was tangent) but I have many occasions where I will need to draw some pipes with multiple curves.
I will assume I am doing something wrong. I have also attached the skp file (I moved the resulting tube so that the original line can be seen).
-
@nxtdave,
download tig_weld and weld your 3 lines first...
john -
@driven said:
@nxtdave,
download tig_weld and weld your 3 lines first...
johnAlready had weld installed. Just did not use it. When I welded the lines, it worked perfect. Even tried a freehand line and it worked fine as well.
Thanks..........I should have thought of that
Might be something that should be explored for a future release though. Just out of curiosity, I also have the free version of Profile Builder and it worked fine on the original lines though without using the Weld tool.
Just a thought..........
-
@sdmitch said:
@josephkim626 said:
As I am often giving precision 4 to give a rectangular look, im just wondering if there would be a way to rotate the profile 45 degrees. Effectively, having a rectangular tubes.
Yes, but this particular plugin is scrambled so only the creator can make that change.
In the mean time, maybe this will help. You can copy and paste into the Ruby Console to try it out.
mod = Sketchup.active_model > ent = mod.active_entities > sel = mod.selection > unless sel.empty? > vars=UI.inputbox(["Number of Sides;"," Length of a Side;","Angle of Rotation;"],[4,1,45],"Tube Specifications") > if vars > n,l,d=vars > a=180/n > r=l/Math.sin(a.degrees)/2 > edgs=sel.grep(Sketchup;;Edge) > edgs.each{|e| > p,v=e.line > grp=ent.add_group;ge=grp.entities > tube=ge.add_ngon(p,v,r,n) > face=ge.add_face(tube) > ent.transform_entities(Geom;;Transformation.rotation(p,v,d.degrees),face) > face.followme e > grp.explode > } > end > else > UI.messagebox "Select Edges" > end >
Thank you so much, this helped for me at least this time.
I had to remove "grp.explode" line as I wanted them to be a grouped members.
who is the creator of this plugin? I know it has been tossed around couple times.
(I will still need an option to use "mm" units, follow welded edges as solid) -
Didier Bur is the creator of the "Lines2Tubes" plugin.
-
I'd like to thank you by this plugin.
But it doesn't have a toolbar, and once that the plugin "Toolbar Editor" from Aerilius, induced me to make the workspace more visual. I decided to modify a bunch of scripts just enough to support toolbar, but your script is scrambled, so I can't do it by myself. So I'd be glad if you could modify your plugin just enough to support toolbar.
Then a simple way to add the toolbar support is like TIG commented in another topic (bit.ly/29PAk6T
@unknownuser said:
An example of the menu making command is:
unless file_loaded?(__FILE__) > cmd = UI;;Command.new("SomeCommandName"){ SomeCommand.new() } > UI.menu("Plugins").add_item(cmd) > ### START - ADD TOOLBAR HERE... > ### END - ADD TOOLBAR HERE > file_loaded(__FILE__) > end
If it's a 'Tool' the CMD setup is slightly different...
An example to use that within a toolbar is this additional code added between the ### markers:
cmd.tooltip = "SomeCommandName" > cmd.status_bar_text = "SomeText" > cmd.small_icon = File.join("SomeCommandFolder/ImagesFolder", 'icon-24.png') > cmd.large_icon = File.join("SomeCommandFolder/ImagesFolder", 'icon-32.png') > toolbar = UI;;Toolbar.new("SomeCommandName") > toolbar.add_item(cmd) > toolbar.show if toolbar.get_last_state.abs == 1 # TB_VISIBLE/NEVER
Note how addition properties are needed for the cmd to be used in a toolbar.
The path to the button icons and their names is up to you...PS: If it could be helpful, I attached icons created for the toolbar.
-
Does it possible to modify the plugin
for have a rotation input?Now we have this!
As you remark there is an Up Orientation!
Wanted!
-
@pilou said:
Does it possible to modify the plugin
for have a rotation input?Now we have this!
As you remark there is an Up Orientation!
[attachment=1:1rui9dug]<!-- ia1 -->GIF_tube.gif<!-- ia1 -->[/attachment:1rui9dug]Wanted!
[attachment=0:1rui9dug]<!-- ia0 -->squares_w.jpg<!-- ia0 -->[/attachment:1rui9dug]
Sdmitch has his own plugin that does what you are describing.
http://sdmitch.blogspot.co.uk/
find "Edge To Tube"
Advertisement